%global pkg_description %{expand:
Correctly generate plurals, singular nouns, ordinals, indefinite articles; convert numbers to words.}

Name:           python-inflect
Version:        7.0.0
Release:        1
Summary:        Correctly generate plurals, ordinals, indefinite articles; convert numbers to words
License:        MIT
Group:          Development/Languages/Python
URL:            https://pypi.org/project/inflect/
Source0:        https://files.pythonhosted.org/packages/source/i/inflect/inflect-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-toml
BuildRequires:  python3-pip python3-wheel
BuildRequires:  python3-pydantic
Requires:       python-toml
Requires:       python-pydantic >= 1.9.1
Requires:       python-typing-extensions

BuildArch:      noarch

%description %{pkg_description}

%package -n python3-inflect
Summary:        %{Summary}

%description -n python3-inflect %{pkg_description}

%prep
%autosetup -n inflect-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install

%check
pytest

%files -n python3-inflect
%license LICENSE
%doc README.rst
%{python3_sitelib}/inflect*

%changelog
* Fri Aug 16 2024 yaoxin <yao_xin001@hoperun.com> - 7.0.0-1
- Update to 7.0.0:
  * Refine type hint for ``singular_noun`` to indicate a literal
    return type for ``False``. (#186)
  * Removed methods renamed in 0.2.0.
  * Project now supports Pydantic 2 while retaining support for
    Pydantic 1. (#187)
  * Added validation of user-defined words and amended the type
    declarations to match, allowing for null values but not empty
    strings. (#187)
  * ``ordinal`` now handles float types correctly without first
    coercing them to strings. (#178)
  * Require Python 3.8 or later.

* Wed Jul 31 2024 dongqi <dongqi1@kylinos.cn> - 6.0.0-1
- Update package version to 6.0.0
- Use Python 3.11 for cutting releases
- Apply validation on other compare* methods

* Fri Apr 28 2023 yaoxin <yao_xin001@hoperun.com> - 5.6.2-1
- Package init
